### Method

# Vte Terminal feed

#### Declaration [src]

    void
    vte_terminal_feed (
      VteTerminal* terminal,
      const char* data,
      gssize length
    )

#### Description [src]

Interprets `data` as if it were data received from a child process.

#### Parameters

`data`

  Type: An array of `guint8`

  A string in the terminal’s current encoding.

  The argument can be `NULL`.
  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gssize`

  The length of the string, or -1 to use the full length or a nul-terminated string.